Package uk.ac.starlink.registry

# Class BasicResource

java.lang.Object
uk.ac.starlink.registry.BasicResource

public class BasicResource extends Object
Basic details of a registry resource record. This is an intentionally rather flattened and truncated version of the information which can be stored in a registry record (at time of writing VOResource 1.0).

Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`BasicResource()`

## Method Summary

Modifier and Type
Method
Description
`BasicCapability[]`
`getCapabilities()`
Returns an array of capability interfaces for this resource.
`String`
`getContact()`
Returns the contact information for this resource.
`String`
`getIdentifier()`
Returns the resource unique identifier.
`String`
`getPublisher()`
Returns the resource publisher.
`String`
`getReferenceUrl()`
Returns the reference URL for this resource.
`String`
`getShortName()`
Returns the resource short name.
`String[]`
`getSubjects()`
Returns an array of subject strings for this resource.
`String`
`getTitle()`
Returns the resource title.
`void`
`setCapabilities(BasicCapability[] capabilities)`
Sets the capability interface array.
`void`
`setContact(String contact)`
Sets the contact information.
`void`
`setIdentifier(String identifier)`
Sets the resource unique identifier.
`void`
`setPublisher(String publisher)`
Sets the resource publisher.
`void`
`setReferenceUrl(String referenceUrl)`
Sets the reference URL.
`void`
`setShortName(String shortName)`
Sets the resource short name.
`void`
`setSubjects(String[] subjects)`
Sets the subject strings.
`void`
`setTitle(String title)`
Sets the resource title.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicResource

public BasicResource()

## Method Details

### setTitle

public void setTitle(String title)
Sets the resource title.

Parameters:
  `title` - title

### getTitle

public String getTitle()
Returns the resource title.

Returns:
  title

### setShortName

public void setShortName(String shortName)
Sets the resource short name.

Parameters:
  `shortName` - short name

### getShortName

public String getShortName()
Returns the resource short name.

Returns:
  short name

### setIdentifier

public void setIdentifier(String identifier)
Sets the resource unique identifier.

Parameters:
  `identifier` - identifier URI

### getIdentifier

public String getIdentifier()
Returns the resource unique identifier. This is a URI of the form `ivo://authority/path`.

Returns:
  identifier

### setPublisher

public void setPublisher(String publisher)
Sets the resource publisher.

Parameters:
  `publisher` - publisher

### getPublisher

public String getPublisher()
Returns the resource publisher.

Returns:
  publisher

### setContact

public void setContact(String contact)
Sets the contact information.

Parameters:
  `contact` - contact string

### getContact

public String getContact()
Returns the contact information for this resource.

Returns:
  contact info

### setSubjects

public void setSubjects(String[] subjects)
Sets the subject strings.

Parameters:
  `subjects` - array of subject strings

### getSubjects

public String[] getSubjects()
Returns an array of subject strings for this resource.

Returns:
  subject array

### setReferenceUrl

public void setReferenceUrl(String referenceUrl)
Sets the reference URL.

Parameters:
  `referenceUrl` - reference URL

### getReferenceUrl

public String getReferenceUrl()
Returns the reference URL for this resource.

Returns:
  reference URL

### setCapabilities

public void setCapabilities(BasicCapability[] capabilities)
Sets the capability interface array.

Parameters:
  `capabilities` - capability array

### getCapabilities

public BasicCapability[] getCapabilities()
Returns an array of capability interfaces for this resource. Very often there is only one (or zero) of these per resource, but there can be many.

Returns:
  capabilities